# Class DepositsConfirmedMessage

#### Hierarchy

- unknown
  - DepositsConfirmedMessage

- Defined in src/protobuf/pb_pb.d.ts:1339
- Defined in src/protobuf/pb_pb.d.ts:1372

#####
Index

### Constructors

constructor

### Methods

clearPubKeyRing
clearSenderNodeAddress
getPubKeyRing
getSellerPaymentAccountKey
getSellerPaymentAccountKey_asB64
getSellerPaymentAccountKey_asU8
getSenderNodeAddress
getTradeId
getUid
getUpdatedMultisigHex
hasPubKeyRing
hasSenderNodeAddress
serializeBinary
setPubKeyRing
setSellerPaymentAccountKey
setSenderNodeAddress
setTradeId
setUid
setUpdatedMultisigHex
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new DepositsConfirmedMessage(): DepositsConfirmedMessage

- #### Returns DepositsConfirmedMessage

  Inherited from jspb.Message.constructor

## Methods

### clearPubKeyRing

- clearPubKeyRing(): DepositsConfirmedMessage

- #### Returns DepositsConfirmedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1351

### clearSenderNodeAddress

- clearSenderNodeAddress(): DepositsConfirmedMessage

- #### Returns DepositsConfirmedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1346

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- #### Returns undefined | PubKeyRing

  - Defined in src/protobuf/pb_pb.d.ts:1348

### getSellerPaymentAccountKey

- getSellerPaymentAccountKey(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1356

### getSellerPaymentAccountKey_asB64

- getSellerPaymentAccountKey_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1358

### getSellerPaymentAccountKey_asU8

- getSellerPaymentAccountKey_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1357

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:1343

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1340

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1353

### getUpdatedMultisigHex

- getUpdatedMultisigHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1361

### hasPubKeyRing

- hasPubKeyRing(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1350

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1345

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1364

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing): DepositsConfirmedMessage

- #### Parameters

  - ##### `Optional` value: PubKeyRing

  #### Returns DepositsConfirmedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1349

### setSellerPaymentAccountKey

- setSellerPaymentAccountKey(value: string | Uint8Array): DepositsConfirmedMessage

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns DepositsConfirmedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1359

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress): DepositsConfirmedMessage

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns DepositsConfirmedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1344

### setTradeId

- setTradeId(value: string): DepositsConfirmedMessage

- #### Parameters

  - ##### value: string

  #### Returns DepositsConfirmedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1341

### setUid

- setUid(value: string): DepositsConfirmedMessage

- #### Parameters

  - ##### value: string

  #### Returns DepositsConfirmedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1354

### setUpdatedMultisigHex

- setUpdatedMultisigHex(value: string): DepositsConfirmedMessage

- #### Parameters

  - ##### value: string

  #### Returns DepositsConfirmedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1362

### toObject

- toObject(includeInstance?: boolean): DepositsConfirmedMessage.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns DepositsConfirmedMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1365

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): DepositsConfirmedMessage

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DepositsConfirmedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1368

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DepositsConfirmedMessage, reader: BinaryReader): DepositsConfirmedMessage

- #### Parameters

  - ##### message: DepositsConfirmedMessage

  - ##### reader: BinaryReader

  #### Returns DepositsConfirmedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1369

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: DepositsConfirmedMessage, writer: BinaryWriter): void

- #### Parameters

  - ##### message: DepositsConfirmedMessage

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1367

### `Static` toObject

- toObject(includeInstance: boolean, msg: DepositsConfirmedMessage): DepositsConfirmedMessage.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DepositsConfirmedMessage

  #### Returns DepositsConfirmedMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1366

Generated using TypeDoc